package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.FileSystem;
import com.vendor.burn.model.UploadOption;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.AddressBurner;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.serial.workers.AddressBurnerWorker;
import java.io.File;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    if (fastbootMonitor != null)
      fastbootMonitor.begin(); 
    try {
      FileSystem fileSystem = FileSystem.none;
      if (AddressBurner.this.uploadOption == UploadOption.DATA_OOB)
        fileSystem = FileSystem.yaffs; 
      boolean upload = worker.upload(monitor, file, fileSystem, AddressBurner.this
          .getAddress(), AddressBurner.this.getLength(), true, AddressBurner.this
          .getCurrentChipId());
      event.setSuccess(upload);
    } catch (Throwable e) {
      monitor.setCanceled(true);
      if (fastbootMonitor != null && fastbootMonitor.getEvent() != null)
        fastbootMonitor.getEvent().setMessage(e.getMessage()); 
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
}
